io.vertx.core

## Interface Handler<E>

- All Known Subinterfaces:
    APIKeyHandler, ApolloWSConnectionInitEvent, ApolloWSHandler, AuthenticationHandler, AuthenticationHandler, AuthenticationHandler, AuthenticationHandler, AuthorizationHandler, BaseBridgeEvent, BasicAuthHandler, BodyHandler, BodyStream<T>, BridgeEvent, BridgeEvent, ChainAuthHandler, ClusterHealthCheck, CorsHandler, CSPHandler, CSRFHandler, DigestAuthHandler, ErrorHandler, FaviconHandler, FormLoginHandler, GraphiQLHandler, GraphQLHandler, HandlerReceiverAdaptor<T>, HealthCheckHandler, HSTSHandler, HTTPOperationRequestValidationHandler, HTTPOperationRequestValidationHandler, HTTPOperationRequestValidationHandler, HTTPOperationRequestValidationHandler, HttpProxy, HTTPRequestValidationHandler, HystrixMetricHandler, JsonParser, JWTAuthHandler, LoggerHandler, MethodOverrideHandler, MultiTenantHandler, OAuth2AuthHandler, OpenAPI3RequestValidationHandler, Promise<T>, ProxyHandler, RecordParser, RedirectAuthHandler, ResponseContentTypeHandler, ResponseTimeHandler, Router, RouteToEBServiceHandler, SessionHandler, SimpleAuthenticationHandler, SockJSHandler, SockJSTermHandler, StaticHandler, StompServerHandler, TemplateHandler, TimeoutHandler, ValidationHandler, ValidationHandler, ValidationHandler, ValidationHandler, ValidationHandler, WebAuthnHandler, XFrameHandler
  All Known Implementing Classes:
    APIKeyHandler, APIKeyHandler, APIKeyHandler, ApolloWSHandler, ApolloWSHandler, ApolloWSHandler, AuthorizationHandler, AuthorizationHandler, AuthorizationHandler, BasicAuthHandler, BasicAuthHandler, BasicAuthHandler, BodyHandler, BodyHandler, BodyHandler, ChainAuthHandler, ChainAuthHandler, ChainAuthHandler, CorsHandler, CorsHandler, CorsHandler, CSPHandler, CSPHandler, CSPHandler, CSRFHandler, CSRFHandler, CSRFHandler, DefaultAbortHandler, DefaultAckHandler, DefaultBeginHandler, DefaultCommitHandler, DefaultConnectHandler, DefaultNackHandler, DefaultSendHandler, DefaultSubscribeHandler, DefaultUnsubscribeHandler, DigestAuthHandler, DigestAuthHandler, DigestAuthHandler, ErrorHandler, ErrorHandler, ErrorHandler, FaviconHandler, FaviconHandler, FaviconHandler, FormLoginHandler, FormLoginHandler, FormLoginHandler, GraphiQLHandler, GraphiQLHandler, GraphiQLHandler, GraphQLHandler, GraphQLHandler, GraphQLHandler, HandlerAdapter, HealthCheckHandler, HealthCheckHandler, HealthCheckHandler, HSTSHandler, HSTSHandler, HSTSHandler, HttpProxy, HTTPRequestValidationHandler, HTTPRequestValidationHandler, HTTPRequestValidationHandler, HystrixMetricHandler, HystrixMetricHandler, HystrixMetricHandler, JsonParser, JsonParser, JsonParser, JWTAuthHandler, JWTAuthHandler, JWTAuthHandler, LoggerHandler, LoggerHandler, LoggerHandler, MethodOverrideHandler, MethodOverrideHandler, MethodOverrideHandler, MultiTenantHandler, MultiTenantHandler, MultiTenantHandler, OAuth2AuthHandler, OAuth2AuthHandler, OAuth2AuthHandler, OpenAPI3RequestValidationHandler, OpenAPI3RequestValidationHandler, OpenAPI3RequestValidationHandler, ProxyHandler, RecordParser, RecordParser, RecordParser, RedirectAuthHandler, RedirectAuthHandler, RedirectAuthHandler, ResponseContentTypeHandler, ResponseContentTypeHandler, ResponseContentTypeHandler, ResponseTimeHandler, ResponseTimeHandler, ResponseTimeHandler, Router, Router, Router, SessionHandler, SessionHandler, SessionHandler, SimpleAuthenticationHandler, SimpleAuthenticationHandler, SimpleAuthenticationHandler, SockJSHandler, SockJSHandler, SockJSHandler, SockJSTermHandler, SockJSTermHandler, SockJSTermHandler, StaticHandler, StaticHandler, StaticHandler, StompServerHandler, StompServerHandler, StompServerHandler, TemplateHandler, TemplateHandler, TemplateHandler, TimeoutHandler, TimeoutHandler, TimeoutHandler, ValidationHandler, ValidationHandler, ValidationHandler, WebAuthnHandler, WebAuthnHandler, WebAuthnHandler, XFrameHandler, XFrameHandler, XFrameHandler
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Handler<E>

  A generic event handler.

  This interface is used heavily throughout Vert.x as a handler for all types of asynchronous occurrences.

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(E event)` Something has happened, so handle it.

- - ### Method Detail

    - #### handle

          void handle(E event)

      Something has happened, so handle it.
      Parameters:
        `event` - the event to handle

Copyright © 2021 Eclipse. All rights reserved.